api.serialize()
Description
Allows getting the current file structure as a plain arrayUsage
api.serialize (
id?: string
): void;
Parameters
id- (optional) a path to files and folders
Returns an array with files and folders in the specified directory or all files and folders.
Example
<script setup>
import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/vue-filemanager";
const init = (api) => {
console.log(api.getFile("/Code/Button.vue"));
const serializedData = api.serialize();
console.log(serializedData);
// to show the serialized data
setTimeout(() => {
api.exec("provide-data", {
parent: "/",
data: serializedData,
});
}, 2000);
console.log(api.serialize("/Code"));
}
</script>
<Filemanager :data="getData()" :drive="getDrive()" :init="init" />
Related articles:

api.serialize()
Description
Allows getting the current file structure as a plain arrayUsage
api.serialize(
id?: string
): any[];
Parameters
id- (optional) a path to files and folders
Returns an array with files and folders in the specified directory or all files and folders.
Example
import { useEffect } from "react";
import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/react-filemanager";
export default function App() {
const init = (api) => {
console.log(api.getFile("/Code/Button.pdf"));
const serializedData = api.serialize();
console.log(serializedData);
// to show the serialized data
setTimeout(() => {
api.exec("provide-data", {
parent: "/",
data: serializedData,
});
}, 2000);
console.log(api.serialize("/Code"));
};
return (
<Filemanager data={getData()} drive={getDrive()} init={init} />
);
}
Related articles: